# ip route

#### Syntax

ip route [ vrf vrfName ] { ipAddress ipMask { ipNextHop
[ interfaceType interfaceSpecifier ] | interfaceType interfaceSpecifier } }
[ distance ] [ tag tagVal ] [ permanent ] [ [ verify rtr rtrIndex ]
[ verify bfd-liveness-detection [ minimum-interval minInterval |
[ minimum-receive-interval minRecInterval ]
[ minimum-transmit-interval minTransInterval ] ] ] [ multiplier multValue ] ]
[ last-resort] ] [ reject | discard ]

no ip route [ vrf vrfName ] ipAddress ipMask [ ipNextHop | interfaceType interfaceSpecifier ] [ distance ]

#### Release Information

Command introduced before JunosE Release 7.1.0.
reject and discard keywords added in JunosE Release 12.0.0.

#### Description

Establishes static routes and can also enable Bidirectional Forwarding Detection (BFD) for the static route. The no version removes static routes or removes BFD from the static route.

| Note: BFD sessions might not be maintained when the multiplier value is 1 and configured intervals are very short. We recommend that you do not use a multiplier value of 1 with very short intervals.

#### Options

- vrfName—Name of the VRF if the static route is being established within a VRF context; available only in Global Configuration mode
- ipAddress—Destination IP address
- ipMask—IP mask for the destination
- ipNextHop—IP address of the next hop that can be used to reach the destination network
- interfaceType—Interface type; see Interface Types and Specifiers
- interfaceSpecifier—Particular interface; format varies according to interface type; see Interface Types and Specifiers
- distance—Administrative distance for this route in the range 0–254
- tagVal—Number in the range 0–4294967295 that identifies the tag for this route
- permanent—Specifies that the route will not be removed, even if the interface shuts down
- verify rtr—Installs the static route in the routing table only if the next hop to the specified destination address is resolved and if the specified RTR operation is currently reachable
- rtrIndex—Number of the RTR operation to be verified; there is no default value
- verify bfd-liveness-detection—Installs the static route in the routing table only if the next hop to the specified destination address is verifiable by means of BFD liveness detection
- minInterval—Minimum proposed transmit interval and required receive interval for BFD control packets; has the same effect as configuring the minimum receive interval and the minimum transmit interval to the same value; number in the range 100–65535 milliseconds—for ES2 4G LM only, the range is 10–65535 milliseconds; default value is 300 milliseconds
- minRecInterval—Minimum interval at which the local peer must receive BFD control packets sent by the remote peer; number in the range 100–65535 milliseconds—for ES2 4G LM only, the range is 10–65535 milliseconds; default value is 300 milliseconds
- minTransInterval—Minimum proposed interval between BFD control packets sent by the local peer; number in the range 100–65535 milliseconds—for ES2 4G LM only, the range is 10–65535 milliseconds; default value is 300 milliseconds
- multValue—Detection multiplier value that the remote peer router multiplies by the local peer's negotiated transmit interval to determine the remote peer's BFD liveness detection interval; equal to the number of BFD packets that can be missed before the BFD session is declared down; number in the range 1–255; default value is 3
- last-resort—Installs the static route in the routing table even if the specified RTR operation is currently unreachable, provided that no other static route to the same network prefix is available
- reject—Discards packets received on the static route for the specified interface that are not processed by the router and sends ICMP unreachable messages to the originator. This option is available only for null interfaces
- discard—Discards packets received on the static route for the specified interface that are not processed by the router and does not send ICMP unreachable messages to the originator. This option is available only for null interfaces

#### Mode

Global Configuration